Subject: Re: bug#45303: #45303 [feature/native-comp] building error on Windows

From: edouard debry <[email-masked]>
Date: Sat, 26 Dec 2020 15:02:54 +0100

I was able to compile and install.

However, I cannot launch emacs outside of mingw64.

I installed emacs-nativecomp outside of mingw64 in order not to mess with
the mingw emacs package.

I copied libgmp*dll in the installdir/bin and added the absolute path of
"/mingw64/bin" to the emacs exec-path.

Outside of mingw64, If I just click on bin/emacs.exe I get a console
message :

Warning: arch-dependent data dir
'%emacs_dir%/libexec/emacs/28.0.50/x86_64-w64-mingw32/': No such file or
directory

and an emacs abort dialog.

If I launch emacs on the command line from within a mingw64 shell, it runs
well. But it is not desirable because window
environment variables like %VAR% are not expanded correctly.

I can launch the mingw64 emacs package from outside mingw without this
problem.

So, most probably, I must have missed something during the install.

Do you also have this issue ?

Regards

Le mer. 23 déc. 2020 à 08:03, Andrea Corallo via Bug reports for GNU Emacs,
the Swiss army knife of text editors <[email-masked]> a écrit :

> Eli Zaretskii <[email-masked]> writes:
>
> >> Date: Tue, 22 Dec 2020 20:21:54 +0000
> >> Cc: "[email-masked]" <[email-masked]>,
> >>  "[email-masked]" <[email-masked]>
> >> From: Andrea Corallo via "Bug reports for GNU Emacs,
> >>  the Swiss army knife of text editors" <[email-masked]>
> >>
> >> "[email-masked]" <[email-masked]> writes:
> >>
> >> > Andrea,
> >> >
> >> > The native-comp branch compiles smoothly with generated executable
> working flawlessly under my Msys2 environment on Windows 10.
> >> >
> >> > I don't have anything to report now, if no objection from other
> people, I think we can close this bug.
> >>
> >> Sounds like music to my ears :)
> >
> > Thanks for a job well done, Andrea.
>
> Was good team work, thank you & all.
>
>
>
>